diff -u eboard-1.1.1/debian/changelog eboard-1.1.1/debian/changelog
--- eboard-1.1.1/debian/changelog
+++ eboard-1.1.1/debian/changelog
@@ -1,3 +1,11 @@
+eboard (1.1.1-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add Ubuntu patch 95_ubuntu_gcc_4.4 which fix an improper const char*
+    usage. (Closes: #551718)
+
+ -- Stefano Zacchiroli <zack@debian.org>  Sun, 20 Dec 2009 15:45:20 +0100
+
 eboard (1.1.1-4) unstable; urgency=low
 
   * Correct error in French translation (Simon Valiquette)
diff -u eboard-1.1.1/debian/patches/00list eboard-1.1.1/debian/patches/00list
--- eboard-1.1.1/debian/patches/00list
+++ eboard-1.1.1/debian/patches/00list
@@ -7,0 +8 @@
+95_ubuntu_gcc_4.4.dpatch
only in patch2:
unchanged:
--- eboard-1.1.1.orig/debian/patches/95_ubuntu_gcc_4.4.dpatch
+++ eboard-1.1.1/debian/patches/95_ubuntu_gcc_4.4.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 95_ubuntu_gcc_4.4.dpatch by Fabrice Coutadeur <fabricesp@ubuntu.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix a compilation error due to invalid conversion from 'const char*' to
+## DP: 'char*'. This is achieved by copying the string before modifying it.
+
+@DPATCH@
+diff -urNad eboard-1.1.1~/ntext.cc eboard-1.1.1/ntext.cc
+--- eboard-1.1.1~/ntext.cc	2008-02-22 15:51:22.000000000 +0000
++++ eboard-1.1.1/ntext.cc	2009-10-20 04:35:42.000000000 +0000
+@@ -33,6 +33,7 @@
+ #include <gtk/gtkselection.h>
+ #include "ntext.h"
+ #include "global.h"
++#include <assert.h>
+ 
+ NLine::NLine() {
+   Text = NULL;
+@@ -238,23 +239,27 @@
+   int i;
+   NLine *nl;
+   char *p;
++  char *s;
+ 
+   if (len < 0) {
+     discardExcess();
+     return;
+   }
+ 
+-  p = strchr(text, '\n');
++  s = strdup(text);
++  assert(s !=  NULL);
++  p = strchr(s, '\n');
+   if (p!=NULL) {
+     *p = 0;
+-    i = strlen(text);
+-    nl = new NLine(text, color);
++    i = strlen(s);
++    nl = new NLine(s, color);
+     *p = '\n';
+     lines.push_back(nl);
+     formatLine(lines.size()-1);
+     append(&p[1], len-(i+1), color);
+     return;
+   }
++  free (s);
+ 
+   // if search for \n failed, this is a single line
+   nl = new NLine(text, color);
